package com.bonus.core.allocation.alloc.model.base;

import cn.hutool.core.util.StrUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

@ApiModel("支付配置Base模型")
public class AllocPayBaseModel {
   @ApiModelProperty("目前打开的支付渠道")
   private String payTypes;
   @ApiModelProperty("是否开启支付宝代扣")
   private String ifOpenAlipayWithhold;
   @ApiModelProperty("支付宝代扣是否启用混合支付")
   private String ifOpenAlipayWithholdPayMix;
   @ApiModelProperty("支付宝移动端支付配置")
   private String alipayMobilePayConf;
   @ApiModelProperty("支付宝商户PID")
   private String alipayMerPid;
   @ApiModelProperty("是否开启支付宝企业码")
   private String ifOpenAlipayEnterpriseCode;
   @ApiModelProperty("是否强制企业码签约")
   private String ifEnterpriseCodeForceSign;
   @ApiModelProperty("支付宝支付APPID")
   private String aliPayAppId;
   @ApiModelProperty("支付宝应用公钥")
   private String aliAppPayPublicKey;
   @ApiModelProperty("支付宝应用私钥")
   private String aliAppPayKsecret;
   @ApiModelProperty("支付宝公钥")
   private String aliPayPublicKey;
   @ApiModelProperty("支付宝支付上浮比例")
   private String aliPayFloatUpRate;
   @ApiModelProperty("支付宝小程序 appId")
   private String alipayAppletAppId;
   @ApiModelProperty("线下-支付宝应用授权token")
   private String offLineAlipayAppAuthToken;
   @ApiModelProperty("线上-支付宝应用授权token")
   private String alipayAppAuthToken;
   @ApiModelProperty("线上-支付宝支付应用公钥")
   private String onlineAliAppPayPublicKey;
   @ApiModelProperty("线上-支付宝支付应用私钥")
   private String onlineAliAppPayPrivateKey;
   @ApiModelProperty("线上-支付宝公钥")
   private String onlineAliPayPublicKey;
   @ApiModelProperty("支付宝限制充值/消费时间")
   private String alipayRecConsumeLimitTimeStart;
   @ApiModelProperty("支付宝限制充值/消费时间")
   private String alipayRecConsumeLimitTimeEnd;
   @ApiModelProperty("是否开通支付宝团餐")
   private String ifOpenAlipayGroupMeal;
   @ApiModelProperty("业务类型 高校-college 企业-bussiness ")
   private String industryBizType;
   @ApiModelProperty("学校机构编码/商户id")
   private String merchantId;
   @ApiModelProperty("商户名称")
   private String merchantName;
   @ApiModelProperty("学校pid/分库id")
   private String logicGroupID;
   @ApiModelProperty("开发平台分配isv pid")
   private String partnerId;
   @ApiModelProperty("isv名称")
   private String isvName;
   @ApiModelProperty("小程序的url地址")
   private String alipayUrl;
   @ApiModelProperty("支付宝封闭场景——机构编码")
   private String orgOutId;
   @ApiModelProperty("支付宝封闭场景——组件编码")
   private String componentOutId;
   @ApiModelProperty("是否为特约商户")
   private String weChatTenantifSpecial;
   @ApiModelProperty("微信appid")
   private String wechatPayAppid;
   @ApiModelProperty("微信商户号")
   private String weChattenant;
   @ApiModelProperty("微信商户密钥")
   private String weChattenPayPriKey;
   @ApiModelProperty("微信商户APIv3密钥")
   private String apiv3key;
   @ApiModelProperty("微信商户私钥")
   private String mchcertKey;
   @ApiModelProperty("微信限制充值/消费时间")
   private String wechatRecConsumeLimitTimeStart;
   @ApiModelProperty("微信限制充值/消费时间")
   private String wechatRecConsumeLimitTimeEnd;
   @ApiModelProperty("微信支付回调地址")
   private String wechatNotifyIp;
   @ApiModelProperty("商户证书")
   private String mchCertPath;
   @ApiModelProperty("微信支付上浮比例")
   private String wechatPayFloatUpRate;
   @ApiModelProperty("是否开启微信支付分")
   private String ifOpenWechatPayment;
   @ApiModelProperty("微信支付分是否启用混合支付")
   private String ifOpenWechatPaymentPayMix;
   @ApiModelProperty("微信移动端支付配置")
   private String wechatMobilePayConf;
   @ApiModelProperty("微信支付分服务id")
   private String serviceId;
   @ApiModelProperty("商户证书序列号")
   private String serialNo;
   @ApiModelProperty("支付分回调地址")
   private String zffNotifyUrl;
   @ApiModelProperty("微信支付分模式 1-需确认(默认-新申请商户都只能用此模式) 2-免确认(针对之前申请正常在用的支付分用户)")
   private String wechatPayScoreMode;
   @ApiModelProperty("支付分押金（不填默认50）")
   private String payScoreDeposit;
   @ApiModelProperty("农行商户号")
   private String abcMerchantId;
   @ApiModelProperty("农行商户证书密码")
   private String abcMerchantCertPwd;
   @ApiModelProperty("农行缴费编号")
   private String abcEpayCode;
   @ApiModelProperty("商户全称")
   private String abcMerchantName;
   @ApiModelProperty("农行智慧餐厅地址")
   private String abcMerchantZhstUrl;
   @ApiModelProperty("业务单位编号")
   private String abcUnitId;
   @ApiModelProperty("业务单位密钥")
   private String abcUnitKey;
   @ApiModelProperty("农行商户证书")
   private String abcMerchantCertFile;
   @ApiModelProperty("设备终端号")
   private String abcDeviceKey;
   @ApiModelProperty("是否开启付款码本地支付")
   private String ifUseAbcCodeLocalPay;
   @ApiModelProperty("是否开启农行数据上传")
   private String ifUseAbcDataUpload;
   @ApiModelProperty("微信使用农行支付")
   private String ifUseAbcWechatPay;
   @ApiModelProperty("支付宝使用农行支付")
   private String ifUseAbcAliPay;
   @ApiModelProperty("微信小程序使用农行支付")
   private String ifUseAbcWechatAppPay;
   @ApiModelProperty("农行 设备是否生成支付二维码")
   private String ifAbcMacCreatePayCode;
   @ApiModelProperty("农行限制充值/消费 开始时间")
   private String abcRchrgConStartTime;
   @ApiModelProperty("农行限制充值/消费 结束时间")
   private String abcRchrgConEndTime;
   @ApiModelProperty("线上商户编号")
   private String icbcOnLineMercNum;
   @ApiModelProperty("线上收单产品协议编号")
   private String icbcOnLineMerPrtclNo;
   @ApiModelProperty("线下商户编号")
   private String icbcOffLineMercNum;
   @ApiModelProperty("线下收单产品协议编号")
   private String icbcOffLineMerPrtclNo;
   @ApiModelProperty("工行公钥")
   private String icbcPublicKey;
   @ApiModelProperty("工行私钥")
   private String icbcPrivateKey;
   @ApiModelProperty("工行应用id")
   private String icbcAppId;
   @ApiModelProperty("支付宝使用工行支付")
   private String ifUseIcbcAliPay;
   @ApiModelProperty("微信使用工行支付")
   private String ifUseIcbcWechatPay;
   @ApiModelProperty("微信小程序使用工行支付")
   private String ifUseIcbcWechatAppPay;
   @ApiModelProperty("工行使用微信小程序appid")
   private String icbcWechatAppId;
   @ApiModelProperty("工行支付回调地址")
   private String icbcNotifyUrl;
   @ApiModelProperty("工行限制充值/消费 开始时间")
   private String icbcRchrgConStartTime;
   @ApiModelProperty("工行限制充值/消费 结束时间")
   private String icbcRchrgConEndTime;
   @ApiModelProperty("招商银行商户号")
   private String cmbMerId;
   @ApiModelProperty("招商银行收银员")
   private String cmbUserId;
   @ApiModelProperty("招商银行交易通知地址(支付回调地址)")
   private String cmbNotifyUrl;
   @ApiModelProperty("微信小程序支付是否走招商银行通道")
   private String ifUseCMBPayWeChatApp;
   @ApiModelProperty("支付宝使用招商银行支付")
   private String ifUseCmbAliPay;
   @ApiModelProperty("微信使用招商银行支付")
   private String ifUseCmbWechatPay;
   @ApiModelProperty("招商银行设备是否生成支付二维码")
   private String ifCMBMacCreatePayCode;
   @ApiModelProperty("招商银行限制充值/消费 开始时间")
   private String cmbRchrgConStartTime;
   @ApiModelProperty("招商银行限制充值/消费 结束时间")
   private String cmbRchrgConEndTime;
   @ApiModelProperty("微信使用中信银行支付")
   private String ifUseEciticWechatPay;
   @ApiModelProperty("支付宝使用中信银行支付")
   private String ifUseEciticAliPay;
   @ApiModelProperty("中信银行限制充值/消费 开始时间")
   private String eciticRchrgConStartTime;
   @ApiModelProperty("中信银行限制充值/消费 结束时间")
   private String eciticRchrgConEndTime;
   @ApiModelProperty("账户是否使用第三方")
   private String ifUseThirdPayAcc;
   @ApiModelProperty("支付宝是否选用第三方支付")
   private String ifUseThirdPayAliPay;
   @ApiModelProperty("微信是否选用第三方支付")
   private String ifUseThirdPayWeChat;
   /** @deprecated */
   @Deprecated
   @ApiModelProperty("内部二维码是否选用第三方支付")
   private String ifUseThirdPayQrCode;
   @ApiModelProperty("记账是否选用第三方支付")
   private String ifUseThirdPayTally;
   @ApiModelProperty("数字人民币是否选用第三方支付")
   private String ifUseThirdPayECNY;
   @ApiModelProperty("是否允许第三方卡片刷卡")
   private String ifUseThirdCard;
   @ApiModelProperty("是否启用收钱吧支付")
   private String ifUseSqbPay;
   @ApiModelProperty("微信公众号是否启用收钱吧支付/充值")
   private String ifUseSqbWechatAppPay;
   @ApiModelProperty("激活设备号")
   private String sqbActiveDeviceId;
   @ApiModelProperty("激活码")
   private String sqbActiveCode;
   @ApiModelProperty("激活终端号")
   private String sqbTerminalSn;
   @ApiModelProperty("激活终端密钥")
   private String sqbTerminalKey;
   @ApiModelProperty("收钱吧充值成功跳转页面")
   private String sqbRechargePageUrl;
   @ApiModelProperty("收钱吧支付成功跳转页面")
   private String sqbPayPageUrl;
   @ApiModelProperty("微信使用兴业银行支付")
   private String ifUseCibWechatPay;
   @ApiModelProperty("微信小程序使用兴业银行支付")
   private String ifUseCibWechatAppPay;
   @ApiModelProperty("支付宝使用兴业银行支付")
   private String ifUseCibAliPay;
   @ApiModelProperty("数字人民币使用兴业银行支付")
   private String ifUseCibECNYPay;
   @ApiModelProperty("兴业银行限制充值/消费 开始时间")
   private String cibRchrgConStartTime;
   @ApiModelProperty("兴业银行限制充值/消费 结束时间")
   private String cibRchrgConEndTime;
   @ApiModelProperty("数字人民币使用建行支付")
   private String ifUseCcbECNY;
   @ApiModelProperty("微信使用建设银行支付")
   private String ifUseCcbWechatPay;
   @ApiModelProperty("支付宝使用建设银行支付")
   private String ifUseCcbAliPay;
   @ApiModelProperty("微信小程序使用建行支付")
   private String ifUseCcbWechatAppPay;
   @ApiModelProperty("建设银行限制充值/消费 开始时间")
   private String ccbRchrgConStartTime;
   @ApiModelProperty("建设银行限制充值/消费 结束时间")
   private String ccbRchrgConEndTime;
   @ApiModelProperty("微信使用富友支付")
   private String ifUseFuiouWechatPay;
   @ApiModelProperty("支付宝使用富友支付")
   private String ifUseFuiouAliPay;
   @ApiModelProperty("微信小程序使用富友支付")
   private String ifUseFuiouWechatAppPay;
   @ApiModelProperty("数字人民币使用苏州农商行支付")
   private String ifUseSzrcbECNY;
   @ApiModelProperty("银联使用苏州农商行支付")
   private String ifUseSzrcbUnionPay;
   @ApiModelProperty("微信使用苏州农商行支付")
   private String ifUseSzrcbWechatPay;
   @ApiModelProperty("支付宝使用苏州农商行支付")
   private String ifUseSzrcbAliPay;
   @ApiModelProperty("微信小程序使用苏州农商行支付")
   private String ifUseSzrcbWechatAppPay;
   @ApiModelProperty("微信使用太仓农商行支付")
   private String ifUseTcrcbWechatPay;
   @ApiModelProperty("支付宝使用太仓农商行支付")
   private String ifUseTcrcbAliPay;
   @ApiModelProperty("微信小程序使用无锡农商行支付")
   private String ifUseWxrcbWechatAppPay;
   @ApiModelProperty("微信使用宁波银行支付")
   private String ifUseNbcbWechatPay;
   @ApiModelProperty("支付宝使用宁波银行支付")
   private String ifUseNbcbAliPay;
   @ApiModelProperty("微信小程序使用宁波银行支付")
   private String ifUseNbcbWechatAppPay;
   @ApiModelProperty("账户支付启用南京银行免密混合支付")
   private String ifOpenNjcbMixedAccPay;
   @ApiModelProperty("微信小程序使用南京银行支付")
   private String ifUseNjcbWechatAppPay;
   @ApiModelProperty("支付宝是否选用银联支付")
   private String ifUseChinaPayAliPay;
   @ApiModelProperty("微信是否选用银联支付")
   private String ifUseChinaPayWeChat;
   @ApiModelProperty("微信公众号是否选用银联支付")
   private String ifUseChinaPayWechatOffacct;
   @ApiModelProperty("支付宝启用扫呗支付")
   private String ifUseLcswAliPay;
   @ApiModelProperty("微信启用扫呗支付")
   private String ifUseLcswWeChatPay;
   @ApiModelProperty("支付宝小程序启用扫呗支付")
   private String ifUseLcswAliAppPay;
   @ApiModelProperty("微信小程序启用扫呗支付")
   private String ifUseLcswWechatAppPay;
   @ApiModelProperty("支付宝启用甘肃农信社支付")
   private String ifUseGsrcuAliPay;
   @ApiModelProperty("微信启用甘肃农信社支付")
   private String ifUseGsrcuWeChatPay;

   public boolean supportPayChannel(Integer payChannel) {
      return this.supportPayChannels().contains(payChannel);
   }

   public List<Integer> supportPayChannels() {
      return (List)StrUtil.splitTrim(this.payTypes, ",").stream().filter(Objects::nonNull).map(Integer::valueOf).collect(Collectors.toList());
   }

   public String getPayTypes() {
      return this.payTypes;
   }

   public String getIfOpenAlipayWithhold() {
      return this.ifOpenAlipayWithhold;
   }

   public String getIfOpenAlipayWithholdPayMix() {
      return this.ifOpenAlipayWithholdPayMix;
   }

   public String getAlipayMobilePayConf() {
      return this.alipayMobilePayConf;
   }

   public String getAlipayMerPid() {
      return this.alipayMerPid;
   }

   public String getIfOpenAlipayEnterpriseCode() {
      return this.ifOpenAlipayEnterpriseCode;
   }

   public String getIfEnterpriseCodeForceSign() {
      return this.ifEnterpriseCodeForceSign;
   }

   public String getAliPayAppId() {
      return this.aliPayAppId;
   }

   public String getAliAppPayPublicKey() {
      return this.aliAppPayPublicKey;
   }

   public String getAliAppPayKsecret() {
      return this.aliAppPayKsecret;
   }

   public String getAliPayPublicKey() {
      return this.aliPayPublicKey;
   }

   public String getAliPayFloatUpRate() {
      return this.aliPayFloatUpRate;
   }

   public String getAlipayAppletAppId() {
      return this.alipayAppletAppId;
   }

   public String getOffLineAlipayAppAuthToken() {
      return this.offLineAlipayAppAuthToken;
   }

   public String getAlipayAppAuthToken() {
      return this.alipayAppAuthToken;
   }

   public String getOnlineAliAppPayPublicKey() {
      return this.onlineAliAppPayPublicKey;
   }

   public String getOnlineAliAppPayPrivateKey() {
      return this.onlineAliAppPayPrivateKey;
   }

   public String getOnlineAliPayPublicKey() {
      return this.onlineAliPayPublicKey;
   }

   public String getAlipayRecConsumeLimitTimeStart() {
      return this.alipayRecConsumeLimitTimeStart;
   }

   public String getAlipayRecConsumeLimitTimeEnd() {
      return this.alipayRecConsumeLimitTimeEnd;
   }

   public String getIfOpenAlipayGroupMeal() {
      return this.ifOpenAlipayGroupMeal;
   }

   public String getIndustryBizType() {
      return this.industryBizType;
   }

   public String getMerchantId() {
      return this.merchantId;
   }

   public String getMerchantName() {
      return this.merchantName;
   }

   public String getLogicGroupID() {
      return this.logicGroupID;
   }

   public String getPartnerId() {
      return this.partnerId;
   }

   public String getIsvName() {
      return this.isvName;
   }

   public String getAlipayUrl() {
      return this.alipayUrl;
   }

   public String getOrgOutId() {
      return this.orgOutId;
   }

   public String getComponentOutId() {
      return this.componentOutId;
   }

   public String getWeChatTenantifSpecial() {
      return this.weChatTenantifSpecial;
   }

   public String getWechatPayAppid() {
      return this.wechatPayAppid;
   }

   public String getWeChattenant() {
      return this.weChattenant;
   }

   public String getWeChattenPayPriKey() {
      return this.weChattenPayPriKey;
   }

   public String getApiv3key() {
      return this.apiv3key;
   }

   public String getMchcertKey() {
      return this.mchcertKey;
   }

   public String getWechatRecConsumeLimitTimeStart() {
      return this.wechatRecConsumeLimitTimeStart;
   }

   public String getWechatRecConsumeLimitTimeEnd() {
      return this.wechatRecConsumeLimitTimeEnd;
   }

   public String getWechatNotifyIp() {
      return this.wechatNotifyIp;
   }

   public String getMchCertPath() {
      return this.mchCertPath;
   }

   public String getWechatPayFloatUpRate() {
      return this.wechatPayFloatUpRate;
   }

   public String getIfOpenWechatPayment() {
      return this.ifOpenWechatPayment;
   }

   public String getIfOpenWechatPaymentPayMix() {
      return this.ifOpenWechatPaymentPayMix;
   }

   public String getWechatMobilePayConf() {
      return this.wechatMobilePayConf;
   }

   public String getServiceId() {
      return this.serviceId;
   }

   public String getSerialNo() {
      return this.serialNo;
   }

   public String getZffNotifyUrl() {
      return this.zffNotifyUrl;
   }

   public String getWechatPayScoreMode() {
      return this.wechatPayScoreMode;
   }

   public String getPayScoreDeposit() {
      return this.payScoreDeposit;
   }

   public String getAbcMerchantId() {
      return this.abcMerchantId;
   }

   public String getAbcMerchantCertPwd() {
      return this.abcMerchantCertPwd;
   }

   public String getAbcEpayCode() {
      return this.abcEpayCode;
   }

   public String getAbcMerchantName() {
      return this.abcMerchantName;
   }

   public String getAbcMerchantZhstUrl() {
      return this.abcMerchantZhstUrl;
   }

   public String getAbcUnitId() {
      return this.abcUnitId;
   }

   public String getAbcUnitKey() {
      return this.abcUnitKey;
   }

   public String getAbcMerchantCertFile() {
      return this.abcMerchantCertFile;
   }

   public String getAbcDeviceKey() {
      return this.abcDeviceKey;
   }

   public String getIfUseAbcCodeLocalPay() {
      return this.ifUseAbcCodeLocalPay;
   }

   public String getIfUseAbcDataUpload() {
      return this.ifUseAbcDataUpload;
   }

   public String getIfUseAbcWechatPay() {
      return this.ifUseAbcWechatPay;
   }

   public String getIfUseAbcAliPay() {
      return this.ifUseAbcAliPay;
   }

   public String getIfUseAbcWechatAppPay() {
      return this.ifUseAbcWechatAppPay;
   }

   public String getIfAbcMacCreatePayCode() {
      return this.ifAbcMacCreatePayCode;
   }

   public String getAbcRchrgConStartTime() {
      return this.abcRchrgConStartTime;
   }

   public String getAbcRchrgConEndTime() {
      return this.abcRchrgConEndTime;
   }

   public String getIcbcOnLineMercNum() {
      return this.icbcOnLineMercNum;
   }

   public String getIcbcOnLineMerPrtclNo() {
      return this.icbcOnLineMerPrtclNo;
   }

   public String getIcbcOffLineMercNum() {
      return this.icbcOffLineMercNum;
   }

   public String getIcbcOffLineMerPrtclNo() {
      return this.icbcOffLineMerPrtclNo;
   }

   public String getIcbcPublicKey() {
      return this.icbcPublicKey;
   }

   public String getIcbcPrivateKey() {
      return this.icbcPrivateKey;
   }

   public String getIcbcAppId() {
      return this.icbcAppId;
   }

   public String getIfUseIcbcAliPay() {
      return this.ifUseIcbcAliPay;
   }

   public String getIfUseIcbcWechatPay() {
      return this.ifUseIcbcWechatPay;
   }

   public String getIfUseIcbcWechatAppPay() {
      return this.ifUseIcbcWechatAppPay;
   }

   public String getIcbcWechatAppId() {
      return this.icbcWechatAppId;
   }

   public String getIcbcNotifyUrl() {
      return this.icbcNotifyUrl;
   }

   public String getIcbcRchrgConStartTime() {
      return this.icbcRchrgConStartTime;
   }

   public String getIcbcRchrgConEndTime() {
      return this.icbcRchrgConEndTime;
   }

   public String getCmbMerId() {
      return this.cmbMerId;
   }

   public String getCmbUserId() {
      return this.cmbUserId;
   }

   public String getCmbNotifyUrl() {
      return this.cmbNotifyUrl;
   }

   public String getIfUseCMBPayWeChatApp() {
      return this.ifUseCMBPayWeChatApp;
   }

   public String getIfUseCmbAliPay() {
      return this.ifUseCmbAliPay;
   }

   public String getIfUseCmbWechatPay() {
      return this.ifUseCmbWechatPay;
   }

   public String getIfCMBMacCreatePayCode() {
      return this.ifCMBMacCreatePayCode;
   }

   public String getCmbRchrgConStartTime() {
      return this.cmbRchrgConStartTime;
   }

   public String getCmbRchrgConEndTime() {
      return this.cmbRchrgConEndTime;
   }

   public String getIfUseEciticWechatPay() {
      return this.ifUseEciticWechatPay;
   }

   public String getIfUseEciticAliPay() {
      return this.ifUseEciticAliPay;
   }

   public String getEciticRchrgConStartTime() {
      return this.eciticRchrgConStartTime;
   }

   public String getEciticRchrgConEndTime() {
      return this.eciticRchrgConEndTime;
   }

   public String getIfUseThirdPayAcc() {
      return this.ifUseThirdPayAcc;
   }

   public String getIfUseThirdPayAliPay() {
      return this.ifUseThirdPayAliPay;
   }

   public String getIfUseThirdPayWeChat() {
      return this.ifUseThirdPayWeChat;
   }

   /** @deprecated */
   @Deprecated
   public String getIfUseThirdPayQrCode() {
      return this.ifUseThirdPayQrCode;
   }

   public String getIfUseThirdPayTally() {
      return this.ifUseThirdPayTally;
   }

   public String getIfUseThirdPayECNY() {
      return this.ifUseThirdPayECNY;
   }

   public String getIfUseThirdCard() {
      return this.ifUseThirdCard;
   }

   public String getIfUseSqbPay() {
      return this.ifUseSqbPay;
   }

   public String getIfUseSqbWechatAppPay() {
      return this.ifUseSqbWechatAppPay;
   }

   public String getSqbActiveDeviceId() {
      return this.sqbActiveDeviceId;
   }

   public String getSqbActiveCode() {
      return this.sqbActiveCode;
   }

   public String getSqbTerminalSn() {
      return this.sqbTerminalSn;
   }

   public String getSqbTerminalKey() {
      return this.sqbTerminalKey;
   }

   public String getSqbRechargePageUrl() {
      return this.sqbRechargePageUrl;
   }

   public String getSqbPayPageUrl() {
      return this.sqbPayPageUrl;
   }

   public String getIfUseCibWechatPay() {
      return this.ifUseCibWechatPay;
   }

   public String getIfUseCibWechatAppPay() {
      return this.ifUseCibWechatAppPay;
   }

   public String getIfUseCibAliPay() {
      return this.ifUseCibAliPay;
   }

   public String getIfUseCibECNYPay() {
      return this.ifUseCibECNYPay;
   }

   public String getCibRchrgConStartTime() {
      return this.cibRchrgConStartTime;
   }

   public String getCibRchrgConEndTime() {
      return this.cibRchrgConEndTime;
   }

   public String getIfUseCcbECNY() {
      return this.ifUseCcbECNY;
   }

   public String getIfUseCcbWechatPay() {
      return this.ifUseCcbWechatPay;
   }

   public String getIfUseCcbAliPay() {
      return this.ifUseCcbAliPay;
   }

   public String getIfUseCcbWechatAppPay() {
      return this.ifUseCcbWechatAppPay;
   }

   public String getCcbRchrgConStartTime() {
      return this.ccbRchrgConStartTime;
   }

   public String getCcbRchrgConEndTime() {
      return this.ccbRchrgConEndTime;
   }

   public String getIfUseFuiouWechatPay() {
      return this.ifUseFuiouWechatPay;
   }

   public String getIfUseFuiouAliPay() {
      return this.ifUseFuiouAliPay;
   }

   public String getIfUseFuiouWechatAppPay() {
      return this.ifUseFuiouWechatAppPay;
   }

   public String getIfUseSzrcbECNY() {
      return this.ifUseSzrcbECNY;
   }

   public String getIfUseSzrcbUnionPay() {
      return this.ifUseSzrcbUnionPay;
   }

   public String getIfUseSzrcbWechatPay() {
      return this.ifUseSzrcbWechatPay;
   }

   public String getIfUseSzrcbAliPay() {
      return this.ifUseSzrcbAliPay;
   }

   public String getIfUseSzrcbWechatAppPay() {
      return this.ifUseSzrcbWechatAppPay;
   }

   public String getIfUseTcrcbWechatPay() {
      return this.ifUseTcrcbWechatPay;
   }

   public String getIfUseTcrcbAliPay() {
      return this.ifUseTcrcbAliPay;
   }

   public String getIfUseWxrcbWechatAppPay() {
      return this.ifUseWxrcbWechatAppPay;
   }

   public String getIfUseNbcbWechatPay() {
      return this.ifUseNbcbWechatPay;
   }

   public String getIfUseNbcbAliPay() {
      return this.ifUseNbcbAliPay;
   }

   public String getIfUseNbcbWechatAppPay() {
      return this.ifUseNbcbWechatAppPay;
   }

   public String getIfOpenNjcbMixedAccPay() {
      return this.ifOpenNjcbMixedAccPay;
   }

   public String getIfUseNjcbWechatAppPay() {
      return this.ifUseNjcbWechatAppPay;
   }

   public String getIfUseChinaPayAliPay() {
      return this.ifUseChinaPayAliPay;
   }

   public String getIfUseChinaPayWeChat() {
      return this.ifUseChinaPayWeChat;
   }

   public String getIfUseChinaPayWechatOffacct() {
      return this.ifUseChinaPayWechatOffacct;
   }

   public String getIfUseLcswAliPay() {
      return this.ifUseLcswAliPay;
   }

   public String getIfUseLcswWeChatPay() {
      return this.ifUseLcswWeChatPay;
   }

   public String getIfUseLcswAliAppPay() {
      return this.ifUseLcswAliAppPay;
   }

   public String getIfUseLcswWechatAppPay() {
      return this.ifUseLcswWechatAppPay;
   }

   public String getIfUseGsrcuAliPay() {
      return this.ifUseGsrcuAliPay;
   }

   public String getIfUseGsrcuWeChatPay() {
      return this.ifUseGsrcuWeChatPay;
   }

   public void setPayTypes(final String payTypes) {
      this.payTypes = payTypes;
   }

   public void setIfOpenAlipayWithhold(final String ifOpenAlipayWithhold) {
      this.ifOpenAlipayWithhold = ifOpenAlipayWithhold;
   }

   public void setIfOpenAlipayWithholdPayMix(final String ifOpenAlipayWithholdPayMix) {
      this.ifOpenAlipayWithholdPayMix = ifOpenAlipayWithholdPayMix;
   }

   public void setAlipayMobilePayConf(final String alipayMobilePayConf) {
      this.alipayMobilePayConf = alipayMobilePayConf;
   }

   public void setAlipayMerPid(final String alipayMerPid) {
      this.alipayMerPid = alipayMerPid;
   }

   public void setIfOpenAlipayEnterpriseCode(final String ifOpenAlipayEnterpriseCode) {
      this.ifOpenAlipayEnterpriseCode = ifOpenAlipayEnterpriseCode;
   }

   public void setIfEnterpriseCodeForceSign(final String ifEnterpriseCodeForceSign) {
      this.ifEnterpriseCodeForceSign = ifEnterpriseCodeForceSign;
   }

   public void setAliPayAppId(final String aliPayAppId) {
      this.aliPayAppId = aliPayAppId;
   }

   public void setAliAppPayPublicKey(final String aliAppPayPublicKey) {
      this.aliAppPayPublicKey = aliAppPayPublicKey;
   }

   public void setAliAppPayKsecret(final String aliAppPayKsecret) {
      this.aliAppPayKsecret = aliAppPayKsecret;
   }

   public void setAliPayPublicKey(final String aliPayPublicKey) {
      this.aliPayPublicKey = aliPayPublicKey;
   }

   public void setAliPayFloatUpRate(final String aliPayFloatUpRate) {
      this.aliPayFloatUpRate = aliPayFloatUpRate;
   }

   public void setAlipayAppletAppId(final String alipayAppletAppId) {
      this.alipayAppletAppId = alipayAppletAppId;
   }

   public void setOffLineAlipayAppAuthToken(final String offLineAlipayAppAuthToken) {
      this.offLineAlipayAppAuthToken = offLineAlipayAppAuthToken;
   }

   public void setAlipayAppAuthToken(final String alipayAppAuthToken) {
      this.alipayAppAuthToken = alipayAppAuthToken;
   }

   public void setOnlineAliAppPayPublicKey(final String onlineAliAppPayPublicKey) {
      this.onlineAliAppPayPublicKey = onlineAliAppPayPublicKey;
   }

   public void setOnlineAliAppPayPrivateKey(final String onlineAliAppPayPrivateKey) {
      this.onlineAliAppPayPrivateKey = onlineAliAppPayPrivateKey;
   }

   public void setOnlineAliPayPublicKey(final String onlineAliPayPublicKey) {
      this.onlineAliPayPublicKey = onlineAliPayPublicKey;
   }

   public void setAlipayRecConsumeLimitTimeStart(final String alipayRecConsumeLimitTimeStart) {
      this.alipayRecConsumeLimitTimeStart = alipayRecConsumeLimitTimeStart;
   }

   public void setAlipayRecConsumeLimitTimeEnd(final String alipayRecConsumeLimitTimeEnd) {
      this.alipayRecConsumeLimitTimeEnd = alipayRecConsumeLimitTimeEnd;
   }

   public void setIfOpenAlipayGroupMeal(final String ifOpenAlipayGroupMeal) {
      this.ifOpenAlipayGroupMeal = ifOpenAlipayGroupMeal;
   }

   public void setIndustryBizType(final String industryBizType) {
      this.industryBizType = industryBizType;
   }

   public void setMerchantId(final String merchantId) {
      this.merchantId = merchantId;
   }

   public void setMerchantName(final String merchantName) {
      this.merchantName = merchantName;
   }

   public void setLogicGroupID(final String logicGroupID) {
      this.logicGroupID = logicGroupID;
   }

   public void setPartnerId(final String partnerId) {
      this.partnerId = partnerId;
   }

   public void setIsvName(final String isvName) {
      this.isvName = isvName;
   }

   public void setAlipayUrl(final String alipayUrl) {
      this.alipayUrl = alipayUrl;
   }

   public void setOrgOutId(final String orgOutId) {
      this.orgOutId = orgOutId;
   }

   public void setComponentOutId(final String componentOutId) {
      this.componentOutId = componentOutId;
   }

   public void setWeChatTenantifSpecial(final String weChatTenantifSpecial) {
      this.weChatTenantifSpecial = weChatTenantifSpecial;
   }

   public void setWechatPayAppid(final String wechatPayAppid) {
      this.wechatPayAppid = wechatPayAppid;
   }

   public void setWeChattenant(final String weChattenant) {
      this.weChattenant = weChattenant;
   }

   public void setWeChattenPayPriKey(final String weChattenPayPriKey) {
      this.weChattenPayPriKey = weChattenPayPriKey;
   }

   public void setApiv3key(final String apiv3key) {
      this.apiv3key = apiv3key;
   }

   public void setMchcertKey(final String mchcertKey) {
      this.mchcertKey = mchcertKey;
   }

   public void setWechatRecConsumeLimitTimeStart(final String wechatRecConsumeLimitTimeStart) {
      this.wechatRecConsumeLimitTimeStart = wechatRecConsumeLimitTimeStart;
   }

   public void setWechatRecConsumeLimitTimeEnd(final String wechatRecConsumeLimitTimeEnd) {
      this.wechatRecConsumeLimitTimeEnd = wechatRecConsumeLimitTimeEnd;
   }

   public void setWechatNotifyIp(final String wechatNotifyIp) {
      this.wechatNotifyIp = wechatNotifyIp;
   }

   public void setMchCertPath(final String mchCertPath) {
      this.mchCertPath = mchCertPath;
   }

   public void setWechatPayFloatUpRate(final String wechatPayFloatUpRate) {
      this.wechatPayFloatUpRate = wechatPayFloatUpRate;
   }

   public void setIfOpenWechatPayment(final String ifOpenWechatPayment) {
      this.ifOpenWechatPayment = ifOpenWechatPayment;
   }

   public void setIfOpenWechatPaymentPayMix(final String ifOpenWechatPaymentPayMix) {
      this.ifOpenWechatPaymentPayMix = ifOpenWechatPaymentPayMix;
   }

   public void setWechatMobilePayConf(final String wechatMobilePayConf) {
      this.wechatMobilePayConf = wechatMobilePayConf;
   }

   public void setServiceId(final String serviceId) {
      this.serviceId = serviceId;
   }

   public void setSerialNo(final String serialNo) {
      this.serialNo = serialNo;
   }

   public void setZffNotifyUrl(final String zffNotifyUrl) {
      this.zffNotifyUrl = zffNotifyUrl;
   }

   public void setWechatPayScoreMode(final String wechatPayScoreMode) {
      this.wechatPayScoreMode = wechatPayScoreMode;
   }

   public void setPayScoreDeposit(final String payScoreDeposit) {
      this.payScoreDeposit = payScoreDeposit;
   }

   public void setAbcMerchantId(final String abcMerchantId) {
      this.abcMerchantId = abcMerchantId;
   }

   public void setAbcMerchantCertPwd(final String abcMerchantCertPwd) {
      this.abcMerchantCertPwd = abcMerchantCertPwd;
   }

   public void setAbcEpayCode(final String abcEpayCode) {
      this.abcEpayCode = abcEpayCode;
   }

   public void setAbcMerchantName(final String abcMerchantName) {
      this.abcMerchantName = abcMerchantName;
   }

   public void setAbcMerchantZhstUrl(final String abcMerchantZhstUrl) {
      this.abcMerchantZhstUrl = abcMerchantZhstUrl;
   }

   public void setAbcUnitId(final String abcUnitId) {
      this.abcUnitId = abcUnitId;
   }

   public void setAbcUnitKey(final String abcUnitKey) {
      this.abcUnitKey = abcUnitKey;
   }

   public void setAbcMerchantCertFile(final String abcMerchantCertFile) {
      this.abcMerchantCertFile = abcMerchantCertFile;
   }

   public void setAbcDeviceKey(final String abcDeviceKey) {
      this.abcDeviceKey = abcDeviceKey;
   }

   public void setIfUseAbcCodeLocalPay(final String ifUseAbcCodeLocalPay) {
      this.ifUseAbcCodeLocalPay = ifUseAbcCodeLocalPay;
   }

   public void setIfUseAbcDataUpload(final String ifUseAbcDataUpload) {
      this.ifUseAbcDataUpload = ifUseAbcDataUpload;
   }

   public void setIfUseAbcWechatPay(final String ifUseAbcWechatPay) {
      this.ifUseAbcWechatPay = ifUseAbcWechatPay;
   }

   public void setIfUseAbcAliPay(final String ifUseAbcAliPay) {
      this.ifUseAbcAliPay = ifUseAbcAliPay;
   }

   public void setIfUseAbcWechatAppPay(final String ifUseAbcWechatAppPay) {
      this.ifUseAbcWechatAppPay = ifUseAbcWechatAppPay;
   }

   public void setIfAbcMacCreatePayCode(final String ifAbcMacCreatePayCode) {
      this.ifAbcMacCreatePayCode = ifAbcMacCreatePayCode;
   }

   public void setAbcRchrgConStartTime(final String abcRchrgConStartTime) {
      this.abcRchrgConStartTime = abcRchrgConStartTime;
   }

   public void setAbcRchrgConEndTime(final String abcRchrgConEndTime) {
      this.abcRchrgConEndTime = abcRchrgConEndTime;
   }

   public void setIcbcOnLineMercNum(final String icbcOnLineMercNum) {
      this.icbcOnLineMercNum = icbcOnLineMercNum;
   }

   public void setIcbcOnLineMerPrtclNo(final String icbcOnLineMerPrtclNo) {
      this.icbcOnLineMerPrtclNo = icbcOnLineMerPrtclNo;
   }

   public void setIcbcOffLineMercNum(final String icbcOffLineMercNum) {
      this.icbcOffLineMercNum = icbcOffLineMercNum;
   }

   public void setIcbcOffLineMerPrtclNo(final String icbcOffLineMerPrtclNo) {
      this.icbcOffLineMerPrtclNo = icbcOffLineMerPrtclNo;
   }

   public void setIcbcPublicKey(final String icbcPublicKey) {
      this.icbcPublicKey = icbcPublicKey;
   }

   public void setIcbcPrivateKey(final String icbcPrivateKey) {
      this.icbcPrivateKey = icbcPrivateKey;
   }

   public void setIcbcAppId(final String icbcAppId) {
      this.icbcAppId = icbcAppId;
   }

   public void setIfUseIcbcAliPay(final String ifUseIcbcAliPay) {
      this.ifUseIcbcAliPay = ifUseIcbcAliPay;
   }

   public void setIfUseIcbcWechatPay(final String ifUseIcbcWechatPay) {
      this.ifUseIcbcWechatPay = ifUseIcbcWechatPay;
   }

   public void setIfUseIcbcWechatAppPay(final String ifUseIcbcWechatAppPay) {
      this.ifUseIcbcWechatAppPay = ifUseIcbcWechatAppPay;
   }

   public void setIcbcWechatAppId(final String icbcWechatAppId) {
      this.icbcWechatAppId = icbcWechatAppId;
   }

   public void setIcbcNotifyUrl(final String icbcNotifyUrl) {
      this.icbcNotifyUrl = icbcNotifyUrl;
   }

   public void setIcbcRchrgConStartTime(final String icbcRchrgConStartTime) {
      this.icbcRchrgConStartTime = icbcRchrgConStartTime;
   }

   public void setIcbcRchrgConEndTime(final String icbcRchrgConEndTime) {
      this.icbcRchrgConEndTime = icbcRchrgConEndTime;
   }

   public void setCmbMerId(final String cmbMerId) {
      this.cmbMerId = cmbMerId;
   }

   public void setCmbUserId(final String cmbUserId) {
      this.cmbUserId = cmbUserId;
   }

   public void setCmbNotifyUrl(final String cmbNotifyUrl) {
      this.cmbNotifyUrl = cmbNotifyUrl;
   }

   public void setIfUseCMBPayWeChatApp(final String ifUseCMBPayWeChatApp) {
      this.ifUseCMBPayWeChatApp = ifUseCMBPayWeChatApp;
   }

   public void setIfUseCmbAliPay(final String ifUseCmbAliPay) {
      this.ifUseCmbAliPay = ifUseCmbAliPay;
   }

   public void setIfUseCmbWechatPay(final String ifUseCmbWechatPay) {
      this.ifUseCmbWechatPay = ifUseCmbWechatPay;
   }

   public void setIfCMBMacCreatePayCode(final String ifCMBMacCreatePayCode) {
      this.ifCMBMacCreatePayCode = ifCMBMacCreatePayCode;
   }

   public void setCmbRchrgConStartTime(final String cmbRchrgConStartTime) {
      this.cmbRchrgConStartTime = cmbRchrgConStartTime;
   }

   public void setCmbRchrgConEndTime(final String cmbRchrgConEndTime) {
      this.cmbRchrgConEndTime = cmbRchrgConEndTime;
   }

   public void setIfUseEciticWechatPay(final String ifUseEciticWechatPay) {
      this.ifUseEciticWechatPay = ifUseEciticWechatPay;
   }

   public void setIfUseEciticAliPay(final String ifUseEciticAliPay) {
      this.ifUseEciticAliPay = ifUseEciticAliPay;
   }

   public void setEciticRchrgConStartTime(final String eciticRchrgConStartTime) {
      this.eciticRchrgConStartTime = eciticRchrgConStartTime;
   }

   public void setEciticRchrgConEndTime(final String eciticRchrgConEndTime) {
      this.eciticRchrgConEndTime = eciticRchrgConEndTime;
   }

   public void setIfUseThirdPayAcc(final String ifUseThirdPayAcc) {
      this.ifUseThirdPayAcc = ifUseThirdPayAcc;
   }

   public void setIfUseThirdPayAliPay(final String ifUseThirdPayAliPay) {
      this.ifUseThirdPayAliPay = ifUseThirdPayAliPay;
   }

   public void setIfUseThirdPayWeChat(final String ifUseThirdPayWeChat) {
      this.ifUseThirdPayWeChat = ifUseThirdPayWeChat;
   }

   /** @deprecated */
   @Deprecated
   public void setIfUseThirdPayQrCode(final String ifUseThirdPayQrCode) {
      this.ifUseThirdPayQrCode = ifUseThirdPayQrCode;
   }

   public void setIfUseThirdPayTally(final String ifUseThirdPayTally) {
      this.ifUseThirdPayTally = ifUseThirdPayTally;
   }

   public void setIfUseThirdPayECNY(final String ifUseThirdPayECNY) {
      this.ifUseThirdPayECNY = ifUseThirdPayECNY;
   }

   public void setIfUseThirdCard(final String ifUseThirdCard) {
      this.ifUseThirdCard = ifUseThirdCard;
   }

   public void setIfUseSqbPay(final String ifUseSqbPay) {
      this.ifUseSqbPay = ifUseSqbPay;
   }

   public void setIfUseSqbWechatAppPay(final String ifUseSqbWechatAppPay) {
      this.ifUseSqbWechatAppPay = ifUseSqbWechatAppPay;
   }

   public void setSqbActiveDeviceId(final String sqbActiveDeviceId) {
      this.sqbActiveDeviceId = sqbActiveDeviceId;
   }

   public void setSqbActiveCode(final String sqbActiveCode) {
      this.sqbActiveCode = sqbActiveCode;
   }

   public void setSqbTerminalSn(final String sqbTerminalSn) {
      this.sqbTerminalSn = sqbTerminalSn;
   }

   public void setSqbTerminalKey(final String sqbTerminalKey) {
      this.sqbTerminalKey = sqbTerminalKey;
   }

   public void setSqbRechargePageUrl(final String sqbRechargePageUrl) {
      this.sqbRechargePageUrl = sqbRechargePageUrl;
   }

   public void setSqbPayPageUrl(final String sqbPayPageUrl) {
      this.sqbPayPageUrl = sqbPayPageUrl;
   }

   public void setIfUseCibWechatPay(final String ifUseCibWechatPay) {
      this.ifUseCibWechatPay = ifUseCibWechatPay;
   }

   public void setIfUseCibWechatAppPay(final String ifUseCibWechatAppPay) {
      this.ifUseCibWechatAppPay = ifUseCibWechatAppPay;
   }

   public void setIfUseCibAliPay(final String ifUseCibAliPay) {
      this.ifUseCibAliPay = ifUseCibAliPay;
   }

   public void setIfUseCibECNYPay(final String ifUseCibECNYPay) {
      this.ifUseCibECNYPay = ifUseCibECNYPay;
   }

   public void setCibRchrgConStartTime(final String cibRchrgConStartTime) {
      this.cibRchrgConStartTime = cibRchrgConStartTime;
   }

   public void setCibRchrgConEndTime(final String cibRchrgConEndTime) {
      this.cibRchrgConEndTime = cibRchrgConEndTime;
   }

   public void setIfUseCcbECNY(final String ifUseCcbECNY) {
      this.ifUseCcbECNY = ifUseCcbECNY;
   }

   public void setIfUseCcbWechatPay(final String ifUseCcbWechatPay) {
      this.ifUseCcbWechatPay = ifUseCcbWechatPay;
   }

   public void setIfUseCcbAliPay(final String ifUseCcbAliPay) {
      this.ifUseCcbAliPay = ifUseCcbAliPay;
   }

   public void setIfUseCcbWechatAppPay(final String ifUseCcbWechatAppPay) {
      this.ifUseCcbWechatAppPay = ifUseCcbWechatAppPay;
   }

   public void setCcbRchrgConStartTime(final String ccbRchrgConStartTime) {
      this.ccbRchrgConStartTime = ccbRchrgConStartTime;
   }

   public void setCcbRchrgConEndTime(final String ccbRchrgConEndTime) {
      this.ccbRchrgConEndTime = ccbRchrgConEndTime;
   }

   public void setIfUseFuiouWechatPay(final String ifUseFuiouWechatPay) {
      this.ifUseFuiouWechatPay = ifUseFuiouWechatPay;
   }

   public void setIfUseFuiouAliPay(final String ifUseFuiouAliPay) {
      this.ifUseFuiouAliPay = ifUseFuiouAliPay;
   }

   public void setIfUseFuiouWechatAppPay(final String ifUseFuiouWechatAppPay) {
      this.ifUseFuiouWechatAppPay = ifUseFuiouWechatAppPay;
   }

   public void setIfUseSzrcbECNY(final String ifUseSzrcbECNY) {
      this.ifUseSzrcbECNY = ifUseSzrcbECNY;
   }

   public void setIfUseSzrcbUnionPay(final String ifUseSzrcbUnionPay) {
      this.ifUseSzrcbUnionPay = ifUseSzrcbUnionPay;
   }

   public void setIfUseSzrcbWechatPay(final String ifUseSzrcbWechatPay) {
      this.ifUseSzrcbWechatPay = ifUseSzrcbWechatPay;
   }

   public void setIfUseSzrcbAliPay(final String ifUseSzrcbAliPay) {
      this.ifUseSzrcbAliPay = ifUseSzrcbAliPay;
   }

   public void setIfUseSzrcbWechatAppPay(final String ifUseSzrcbWechatAppPay) {
      this.ifUseSzrcbWechatAppPay = ifUseSzrcbWechatAppPay;
   }

   public void setIfUseTcrcbWechatPay(final String ifUseTcrcbWechatPay) {
      this.ifUseTcrcbWechatPay = ifUseTcrcbWechatPay;
   }

   public void setIfUseTcrcbAliPay(final String ifUseTcrcbAliPay) {
      this.ifUseTcrcbAliPay = ifUseTcrcbAliPay;
   }

   public void setIfUseWxrcbWechatAppPay(final String ifUseWxrcbWechatAppPay) {
      this.ifUseWxrcbWechatAppPay = ifUseWxrcbWechatAppPay;
   }

   public void setIfUseNbcbWechatPay(final String ifUseNbcbWechatPay) {
      this.ifUseNbcbWechatPay = ifUseNbcbWechatPay;
   }

   public void setIfUseNbcbAliPay(final String ifUseNbcbAliPay) {
      this.ifUseNbcbAliPay = ifUseNbcbAliPay;
   }

   public void setIfUseNbcbWechatAppPay(final String ifUseNbcbWechatAppPay) {
      this.ifUseNbcbWechatAppPay = ifUseNbcbWechatAppPay;
   }

   public void setIfOpenNjcbMixedAccPay(final String ifOpenNjcbMixedAccPay) {
      this.ifOpenNjcbMixedAccPay = ifOpenNjcbMixedAccPay;
   }

   public void setIfUseNjcbWechatAppPay(final String ifUseNjcbWechatAppPay) {
      this.ifUseNjcbWechatAppPay = ifUseNjcbWechatAppPay;
   }

   public void setIfUseChinaPayAliPay(final String ifUseChinaPayAliPay) {
      this.ifUseChinaPayAliPay = ifUseChinaPayAliPay;
   }

   public void setIfUseChinaPayWeChat(final String ifUseChinaPayWeChat) {
      this.ifUseChinaPayWeChat = ifUseChinaPayWeChat;
   }

   public void setIfUseChinaPayWechatOffacct(final String ifUseChinaPayWechatOffacct) {
      this.ifUseChinaPayWechatOffacct = ifUseChinaPayWechatOffacct;
   }

   public void setIfUseLcswAliPay(final String ifUseLcswAliPay) {
      this.ifUseLcswAliPay = ifUseLcswAliPay;
   }

   public void setIfUseLcswWeChatPay(final String ifUseLcswWeChatPay) {
      this.ifUseLcswWeChatPay = ifUseLcswWeChatPay;
   }

   public void setIfUseLcswAliAppPay(final String ifUseLcswAliAppPay) {
      this.ifUseLcswAliAppPay = ifUseLcswAliAppPay;
   }

   public void setIfUseLcswWechatAppPay(final String ifUseLcswWechatAppPay) {
      this.ifUseLcswWechatAppPay = ifUseLcswWechatAppPay;
   }

   public void setIfUseGsrcuAliPay(final String ifUseGsrcuAliPay) {
      this.ifUseGsrcuAliPay = ifUseGsrcuAliPay;
   }

   public void setIfUseGsrcuWeChatPay(final String ifUseGsrcuWeChatPay) {
      this.ifUseGsrcuWeChatPay = ifUseGsrcuWeChatPay;
   }
}
